Page MenuHomePhabricator

Expose ores_model data in API using meta=ores
Closed, ResolvedPublic

Description

See T122689#1939440

We need to add "ores" to meta during query, e.g. &action=query&meta=ores should return data from ores_model table and expose these data

Details

Related Gerrit Patches:
mediawiki/extensions/ORES : masterAction API integration for ORES

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 22 2016, 9:11 PM
Anomie added a subscriber: Anomie.Aug 23 2016, 1:54 PM
Halfak triaged this task as Medium priority.Aug 25 2016, 2:29 PM
Anomie added a comment.Sep 6 2016, 8:12 PM

A few questions:

  • Should non-current models in ores_models be exposed in the action API, or is that not useful?
  • Are the model IDs externally useful, or just the names?
  • Should any of the config variables be exposed?
Anomie updated the task description. (Show Details)Sep 19 2016, 6:31 PM

I missed this ping, sorry.

A few questions:

  • Should non-current models in ores_models be exposed in the action API, or is that not useful?

I don't think that would be useful.

  • Are the model IDs externally useful, or just the names?

Only names.

$wgOresDamagingThresholds, $wgOresEnabledNamespaces are important other ones are not that important.

Change 313831 had a related patch set uploaded (by Anomie):
Action API integration for ORES

https://gerrit.wikimedia.org/r/313831

Anomie claimed this task.Oct 12 2016, 2:34 PM

Change 313831 merged by jenkins-bot:
Action API integration for ORES

https://gerrit.wikimedia.org/r/313831

Anomie closed this task as Resolved.Nov 3 2016, 2:18 PM